#!/usr/bin/env bash
#
# Key the JWKS
set -euo pipefail
IFS=$'\n\t'
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"


function main() {
    local gateway_address
    gateway_address=$(tf output -raw gateway_address)
    curl "https://$gateway_address/.well-known/jwks.json"
}

function tf() {
    terraform -chdir="$DIR/../terraform" "${@}"
}




main "${@}"
